/*
    MassChroQ : Mass Chromatogram Quantification
    Copyright (C) 2013  Olivier Langella <Olivier.Langella@moulon.inra.fr>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef MONITORBRIDGE_H
#define MONITORBRIDGE_H

#include "monitorBase.h"

class MonitorBridge: public MonitorBase {
public :
	MonitorBridge();
	virtual ~MonitorBridge();
  
	virtual void setCurrentQuantify(const QString & quantify_id) {};
  
	virtual void setCurrentGroup(const msRunHashGroup * group){};
	virtual void setEndCurrentGroup(){}; 
  
	virtual void setCurrentMsrun(const Msrun * msrun){}; 
	virtual void setEndCurrentMsrun(){};   

	virtual void setCurrentSearchItem(QuantiItemBase * quanti_item);
	virtual void setEndCurrentSearchItem();

	virtual void setXic(const xicBase * xic);
  
	virtual void setFilteredXic(const xicBase * xic, 
								const mcq_filter_type & filterType, 
								const unsigned int filterNum){};
  
	virtual void setAllPeaks(const std::vector<xicPeak *> * p_v_peak_list);
  
	virtual void setMatchedPeaks(const std::vector<xicPeak *> * p_v_peak_list);

	virtual void setPostMatchingOn(){};

	virtual void setPostMatchedPeaks(QuantiItemBase * quanti_item, 
									 const std::vector<xicPeak *> * p_v_peak_list){};
  
	virtual void setPostMatchingOff(){};

	virtual void debriefing(){};
	
	void reportXicOnMonitor(MonitorBase * monitor) const;
	
private :
	QuantiItemBase * _p_currentSearchItem;
	const xicBase * _p_xic;
	std::vector<xicPeak *> _all_peak_list;
	std::vector<xicPeak *> _matched_peak_list;
};

#endif // MONITORBRIDGE_H
