/*
    MassChroQ : Mass Chromatogram Quantification
    Copyright (C) 2013  Olivier Langella <Olivier.Langella@moulon.inra.fr>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef QUANTIFICATORLOOP_H
#define QUANTIFICATORLOOP_H
#include "quantificatorloopslot.h"
#include <vector>
#include "../filters/filter_base.h"

class QuantificatorLoop: public QObject {
    Q_OBJECT

public:
    QuantificatorLoop(std::vector<QuantiItemBase *> * quanti_items, MonitorBase * p_ext_monitor, const Msrun * p_msrun, const mcq_xic_type & xic_type, const std::vector<const FilterBase *> & xic_filtersconst, const PeakExtractor * p_peak_extractor, const PeakMatcher * peak_matcher, int cpu_number);
    virtual ~QuantificatorLoop();
    
    void loop();
    
    QuantiItemBase * getNextQuantiItem();
    
private :
	std::vector<QuantificatorLoopSlot *> _v_slots;
	std::vector<QuantiItemBase *>::const_iterator _it_quanti_item;
	std::vector<QuantiItemBase *> * _quanti_items;
	
	uint _slotFinished;
	
	uint _count_xic;
	uint _quanti_items_size;
	QString _phrase;
	uint _count;
	int _count_phrase;
	
signals:
    void quitLoop();	
}; 

#endif // QUANTIFICATORLOOP_H
