#include <QCoreApplication>
#include <QTimer>
//#include <iostream>
#include "masschroq_cli.h"

//using namespace std;

int main(int argc, char **argv)
{

    //QTextStream consoleErr(stderr);
    //QTextStream consoleOut(stdout, QIODevice::WriteOnly);
    ConsoleOut::setCout(new QTextStream(stdout, QIODevice::WriteOnly));
    ConsoleOut::setCerr(new QTextStream(stderr, QIODevice::WriteOnly));

    QCoreApplication app(argc, argv);
    QLocale::setDefault(QLocale::system());


    // create the main class
    masschroqCli myMain;
    // connect up the signals
    QObject::connect(&myMain, SIGNAL(finished()),
                     &app, SLOT(quit()));
    QObject::connect(&app, SIGNAL(aboutToQuit()),
                     &myMain, SLOT(aboutToQuitApp()));


    // This code will start the messaging engine in QT and in
    // 10ms it will start the execution in the MainClass.run routine;
    QTimer::singleShot(10, &myMain, SLOT(run()));
    return app.exec();

}
